export interface ChronicDisease {
  id: string;
  name: string;
  type: "diabetes" | "hypertension" | "heart_disease" | "other";
  diagnosisDate: Date;
  severity: "mild" | "moderate" | "severe";
  currentStatus: "stable" | "improving" | "worsening";
  medications: Medication[];
  targetValues: Record<string, number>;
}

export interface Medication {
  id: string;
  name: string;
  type: string;
  dosage: string;
  frequency: string;
  startDate: Date;
  endDate?: Date;
  reminders: boolean;
  sideEffects?: string[];
}

export interface BloodSugarRecord {
  id: string;
  userId: string;
  value: number;
  measureTime: Date;
  mealRelation: "fasting" | "before_meal" | "after_meal" | "bedtime";
  notes?: string;
}

export interface BloodPressureRecord {
  id: string;
  userId: string;
  systolic: number;
  diastolic: number;
  heartRate: number;
  measureTime: Date;
  notes?: string;
}
