export interface ConstitutionType {
  id: string;
  name: string;
  description: string;
  characteristics: string[];
  healthRisks: string[];
  dietAdvice: string[];
  exerciseAdvice: string[];
  lifestyleAdvice: string[];
}

export interface ConstitutionTest {
  id: string;
  userId: string;
  questions: ConstitutionQuestion[];
  result: ConstitutionResult;
  testDate: Date;
}

export interface ConstitutionQuestion {
  id: string;
  question: string;
  options: ConstitutionOption[];
  category: string;
}

export interface ConstitutionOption {
  id: string;
  text: string;
  score: number;
  constitutionType: string;
}

export interface ConstitutionResult {
  primaryType: string;
  secondaryType?: string;
  scores: Record<string, number>;
  recommendations: ConstitutionRecommendation[];
}

export interface ConstitutionRecommendation {
  category: "diet" | "exercise" | "lifestyle" | "emotion";
  title: string;
  content: string;
  priority: "high" | "medium" | "low";
}
