export interface Doctor {
  id: string;
  name: string;
  avatar: string;
  title: string;
  department: string;
  hospital: string;
  experience: number;
  rating: number;
  consultationFee: number;
  isOnline: boolean;
  specialty: string[];
  introduction: string;
}

export interface Consultation {
  id: string;
  doctorId: string;
  patientId: string;
  type: "text" | "voice" | "video";
  status: "pending" | "ongoing" | "completed" | "cancelled";
  symptoms: string;
  diagnosis?: string;
  prescription?: Prescription[];
  startTime: Date;
  endTime?: Date;
  fee: number;
  rating?: number;
  review?: string;
}

export interface Prescription {
  id: string;
  medicineId: string;
  medicineName: string;
  dosage: string;
  frequency: string;
  duration: string;
  notes?: string;
}

export interface ChatMessage {
  id: string;
  consultationId: string;
  senderId: string;
  senderType: "doctor" | "patient";
  type: "text" | "image" | "voice" | "video" | "prescription";
  content: string;
  timestamp: Date;
  isRead: boolean;
}
