export interface VitalSigns {
  id: string;
  userId: string;
  bloodPressure: {
    systolic: number;
    diastolic: number;
  };
  heartRate: number;
  bodyTemperature: number;
  bloodOxygen: number;
  weight: number;
  height: number;
  bmi: number;
  recordTime: Date;
  deviceId?: string;
}

export interface HealthReport {
  id: string;
  userId: string;
  type: "basic" | "comprehensive" | "specialized";
  indicators: HealthIndicator[];
  overallScore: number;
  riskLevel: "low" | "medium" | "high";
  suggestions: string[];
  reportDate: Date;
  nextCheckDate?: Date;
}

export interface HealthIndicator {
  name: string;
  value: number;
  unit: string;
  normalRange: [number, number];
  status: "normal" | "warning" | "abnormal";
  trend: "up" | "down" | "stable";
}
