export interface HealthArticle {
  id: string;
  title: string;
  summary: string;
  content: string;
  category: string;
  tags: string[];
  author: string;
  publishDate: Date;
  readCount: number;
  likeCount: number;
  difficulty: "beginner" | "intermediate" | "advanced";
  images: string[];
  relatedArticles: string[];
}

export interface HealthVideo {
  id: string;
  title: string;
  description: string;
  category: string;
  tags: string[];
  instructor: string;
  duration: number; // seconds
  difficulty: "beginner" | "intermediate" | "advanced";
  videoUrl: string;
  thumbnailUrl: string;
  publishDate: Date;
  viewCount: number;
  likeCount: number;
  relatedVideos: string[];
}

export interface HealthCourse {
  id: string;
  title: string;
  description: string;
  category: string;
  instructor: string;
  duration: number; // total minutes
  lessonCount: number;
  difficulty: "beginner" | "intermediate" | "advanced";
  price: number;
  rating: number;
  enrollmentCount: number;
  lessons: CourseLesson[];
  thumbnailUrl: string;
  createdDate: Date;
}

export interface CourseLesson {
  id: string;
  title: string;
  description: string;
  duration: number; // minutes
  videoUrl?: string;
  materials?: string[];
  quiz?: Quiz;
  order: number;
}

export interface Quiz {
  id: string;
  questions: QuizQuestion[];
  passingScore: number;
}

export interface QuizQuestion {
  id: string;
  question: string;
  options: string[];
  correctAnswer: number;
  explanation?: string;
}
