export interface Herb {
  id: string;
  name: string;
  latinName?: string;
  aliases: string[];
  category: string;
  nature: "hot" | "warm" | "neutral" | "cool" | "cold";
  taste: string[];
  meridians: string[];
  effects: string[];
  indications: string[];
  contraindications: string[];
  dosage: string;
  preparations: string[];
  images: string[];
  description: string;
}

export interface Acupoint {
  id: string;
  name: string;
  location: string;
  meridian: string;
  category: string;
  effects: string[];
  indications: string[];
  manipulations: string[];
  precautions: string[];
  images: string[];
  videos?: string[];
}

export interface Meridian {
  id: string;
  name: string;
  type: "main" | "extraordinary";
  pathways: string[];
  acupoints: string[];
  functions: string[];
  associatedOrgans: string[];
  flowTime: string;
  images: string[];
}

export interface EncyclopediaCategory {
  id: string;
  name: string;
  type: "herb" | "acupoint" | "meridian" | "theory";
  description: string;
  icon: string;
  itemCount: number;
}
