/**
 * 健康提醒工具
 */

// 设置用药提醒
export const setMedicationReminder = (medication: any) => {
  // 这里可以集成系统通知API
  console.log("设置用药提醒:", medication);

  // 示例：设置本地通知
  uni.showToast({
    title: `已设置${medication.name}的用药提醒`,
    icon: "success",
  });
};

// 设置运动提醒
export const setExerciseReminder = (time: string, message: string) => {
  console.log("设置运动提醒:", { time, message });

  uni.showToast({
    title: "已设置运动提醒",
    icon: "success",
  });
};

// 设置体检提醒
export const setCheckupReminder = (date: Date, type: string) => {
  console.log("设置体检提醒:", { date, type });

  uni.showToast({
    title: "已设置体检提醒",
    icon: "success",
  });
};

// 计算下次提醒时间
export const calculateNextReminderTime = (frequency: string, lastTime: Date): Date => {
  const next = new Date(lastTime);

  switch (frequency) {
    case "daily":
      next.setDate(next.getDate() + 1);
      break;
    case "weekly":
      next.setDate(next.getDate() + 7);
      break;
    case "monthly":
      next.setMonth(next.getMonth() + 1);
      break;
    case "yearly":
      next.setFullYear(next.getFullYear() + 1);
      break;
    default:
      next.setDate(next.getDate() + 1);
  }

  return next;
};
